Bug 734434 - Messages isn't translatable
Summary: Messages isn't translatable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: popt
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 801166 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 11:56 UTC by Akira TAGOH
Modified: 2014-10-20 15:58 UTC (History)
6 users (show)

Fixed In Version: popt-1.16-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-12 05:04:59 UTC


Attachments (Terms of Use)
Fix --help i18n (3.58 KB, patch)
2012-03-22 17:58 UTC, Miloslav Trmač
no flags Details | Diff
Try to merge with popt 1.16 (3.22 KB, patch)
2013-11-24 16:11 UTC, Robert Scheck
no flags Details | Diff
Revised patch (3.96 KB, patch)
2014-01-08 03:09 UTC, Akira TAGOH
no flags Details | Diff

Description Akira TAGOH 2011-08-30 11:56:23 UTC
Description of problem:
the help messages for --help and --usage seems not translatable. it's always displayed in English and no translatable strings in po.

Version-Release number of selected component (if applicable):
passwd-0.78-3.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1.passwd --help
2.msgunfmt /usr/share/locale/ja/LC_MESSAGES/passwd.mo
3.
  
Actual results:
the help messages for --help and --usage is displayed in English and no strings for them in po.

Expected results:
translatable strings should appears in po and displayed in the native language.

Additional info:

Comment 1 Tomas Mraz 2012-01-25 16:45:30 UTC
These messages are coming from the popt library. They seem to be translated in the popt po files fine though. I've been looking at the popt code and I see there are calls to gettext functions but for some reasons they are not properly called. Unfortunately I also did not find any working example of an utility that uses popt that would have these messages translated. So I think it is some more general problem with popt and the way it calls/doesn't call gettext functions.

Comment 2 Miloslav Trmač 2012-03-22 17:58:22 UTC
Created attachment 572052 [details]
Fix --help i18n

This patch fixes the problem; there already was some i18n support for authelp in popt.c, but not in popthelp.c, where it actually matters.

Comment 3 Fedora End Of Life 2013-01-16 17:10:58 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Miloslav Trmač 2013-01-16 18:40:44 UTC
Still seeing this with popt-1.13-10.fc17.x86_64

Comment 5 Fedora End Of Life 2013-07-04 02:53:45 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Miloslav Trmač 2013-07-04 13:34:50 UTC
Reproduced with popt-1.13-12.fc18.x86_64.  Could you review the patch, please?

Comment 7 Robert Scheck 2013-11-24 16:11:55 UTC
Created attachment 828357 [details]
Try to merge with popt 1.16

I tried to merge your patch with popt 1.16 like this.

Comment 8 Robert Scheck 2013-11-24 16:14:54 UTC
Unfortunately attachment #828357 [details] causes a failure of the built-in tiny test
suite in popt 1.16 - however this could be a mistake during my merge try:

[...]
+ make check
[...]
Running test test1 - 58.
Test "test1 --usage" failed with: "Usage: lt-test1 [-I?] [-c|--cb2=STRING] [--arg1] [-2|--arg2=ARG]
        [-3|--arg3=ANARG] [-onedash] [--optional=STRING] [--val]
        [-i|--int=INT] [-s|--short=SHORT] [-l|--long=LONG]
        [-L|--longlong=LONGLONG] [-f|--float=FLOAT] [-d|--double=DOUBLE]
        [--randint=INT] [--randshort=SHORT] [--randlong=LONG]
        [--randlonglong=LONGLONG] [--argv=STRING] [--bitset] [--bitclr]
        [--bitxor] [--nstr=STRING] [--lstr=STRING] [-I|--inc]
        [-c|--cb=STRING] [--longopt] [-?|--help] [--usage] [--]
        [--simple=ARG]" != "Usage: lt-test1 [-I?] [-c|--cb2=STRING] [--arg1] [-2|--arg2=ARG]
        [-3|--arg3=ANARG] [-onedash] [--optional=STRING] [--val]
        [-i|--int=INT] [-s|--short=SHORT] [-l|--long=LONG]
        [-L|--longlong=LONGLONG] [-f|--float=FLOAT] [-d|--double=DOUBLE]
        [--randint=INT] [--randshort=SHORT] [--randlong=LONG]
        [--randlonglong=LONGLONG] [--argv=STRING] [--bitset] [--bitclr]
        [--bitxor] [--nstr=STRING] [--lstr=STRING] [-I|--inc]
        [-c|--cb=STRING] [--longopt] [-?|--help] [--usage] [--simple=ARG]" 
FAIL: ./testit.sh
[...]

Miloslav, could you please check if we can get this solved for 1.16 so that
we can propose a working patch to upstream?

Comment 9 Fedora End Of Life 2013-12-21 14:57:09 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Miloslav Trmač 2014-01-02 15:55:02 UTC
Reproduced in popt-1.13-14.fc19.x86_64 .

Comment 11 Robert Scheck 2014-01-02 16:38:29 UTC
(In reply to Miloslav Trmač from comment #10)
> Reproduced in popt-1.13-14.fc19.x86_64 .

Do you have any idea for comment #7 and #8? Applying this patch to Fedora 19
without having it then in Fedora 20 doesn't really solve this for the future.

Comment 12 Miloslav Trmač 2014-01-02 17:00:33 UTC
(In reply to Robert Scheck from comment #11)
> Do you have any idea for comment #7 and #8? Applying this patch to Fedora 19
> without having it then in Fedora 20 doesn't really solve this for the future.

No, still hoping for Panu to take a look at this.  That's why I have re-marked this as needinfo(mitr).

Comment 13 Akira TAGOH 2014-01-06 08:45:49 UTC
looks good on f20.

Comment 14 Robert Scheck 2014-01-06 09:20:22 UTC
Akira, now I am confused, it looks like this for me:

$ LANG=ja_JP.UTF-8 passwd --help
使い方: passwd [オプション...] <accountName>
  -k, --keep-tokens       有効な認証トークンを維持する
  -d, --delete            named アカウントのパスワードを削除する (root のみ)
  -l, --lock              named アカウントをロックする (root のみ)
  -u, --unlock            named アカウントをロック解除する (root のみ)
  -f, --force             操作を強制
  -x, --maximum=DAYS      最大パスワード寿命 (root のみ)
  -n, --minimum=DAYS      最低パスワード寿命 (root のみ)
  -w, --warning=DAYS      パスワード失効の前にユーザーが警告を受ける事前日数 (root のみ)
  -i, --inactive=DAYS     パスワードが失効した後にアカウントが無効になるまでの日数 (root のみ)
  -S, --status            named アカウントのパスワードステータスを報告する (root のみ)
      --stdin             標準入力(stdin) から新規トークンを読み込む (root のみ)

Help options:
  -?, --help              Show this help message
      --usage             Display brief usage message
$

Comment 15 Akira TAGOH 2014-01-08 02:10:16 UTC
Ah, sorry, you're right. I wrongly figured out the issue.

Comment 16 Akira TAGOH 2014-01-08 03:09:00 UTC
Created attachment 846913 [details]
Revised patch

I'm not quite sure if this is sane fix but the above fail on the test case is caused by "" on the last item in poptHelpOptions2. that may has a side-effect but make check didn't detect any at least.

Comment 17 Fedora Update System 2014-01-08 19:14:01 UTC
popt-1.16-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/popt-1.16-2.fc20

Comment 18 Fedora Update System 2014-01-08 19:14:36 UTC
popt-1.16-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/popt-1.16-2.fc19

Comment 19 lnie 2014-01-09 05:25:52 UTC
popt-1.16-2.fc20 works fine,the help options is translated

Comment 20 Fedora Update System 2014-01-09 07:39:23 UTC
Package popt-1.16-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing popt-1.16-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0452/popt-1.16-2.fc19
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2014-01-12 05:04:59 UTC
popt-1.16-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-01-24 07:40:08 UTC
popt-1.16-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Robert Scheck 2014-08-09 11:24:02 UTC
*** Bug 801166 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.